Debian Bug report logs - #706865
libpthread-stubs: FTBFS on hurd-i386: libpthread-stubs library no more compiled

version graph

Package: src:libpthread-stubs; Maintainer for src:libpthread-stubs is XCB Developers <xcb@lists.freedesktop.org>;

Reported by: Pino Toscano <pino@debian.org>

Date: Sun, 5 May 2013 15:27:01 UTC

Severity: important

Tags: patch

Found in version libpthread-stubs/0.3-3

Fixed in version libpthread-stubs/0.3-4

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#706865; Package src:libpthread-stubs. (Sun, 05 May 2013 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
New Bug report received and forwarded. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Sun, 05 May 2013 15:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpthread-stubs: FTBFS on hurd-i386: libpthread-stubs library no more compiled
Date: Sun, 05 May 2013 17:24:09 +0200
[Message part 1 (text/plain, inline)]
Source: libpthread-stubs
Version: 0.3-3
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

given that now Hurd's libpthread is compiled as glibc addon with proper
forwards, the libpthread-stubs library is no more compiled and thus the
build fails due to missing files referenced by .install.hurd files.

Attached there is a patch to remove all the custom hurd-i386 handling
in .install files (removing the .install.hurd files) and rules.

Thanks,
-- 
Pino
[hurd.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#706865; Package src:libpthread-stubs. (Sun, 05 May 2013 17:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Sun, 05 May 2013 17:09:09 GMT) Full text and rfc822 format available.

Message #10 received at 706865@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Pino Toscano <pino@debian.org>, 706865@bugs.debian.org
Subject: Re: [Xcb] Bug#706865: libpthread-stubs: FTBFS on hurd-i386: libpthread-stubs library no more compiled
Date: Sun, 5 May 2013 19:04:25 +0200
[Message part 1 (text/plain, inline)]
On Sun, May  5, 2013 at 17:24:09 +0200, Pino Toscano wrote:

> Source: libpthread-stubs
> Version: 0.3-3
> Severity: important
> Tags: patch
> User: debian-hurd@lists.debian.org
> Usertags: hurd
> 
> Hi,
> 
> given that now Hurd's libpthread is compiled as glibc addon with proper
> forwards, the libpthread-stubs library is no more compiled and thus the
> build fails due to missing files referenced by .install.hurd files.
> 
> Attached there is a patch to remove all the custom hurd-i386 handling
> in .install files (removing the .install.hurd files) and rules.
> 
Can we use this opportunity to stop shipping the empty
libpthread-stubs0, on all archs?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#706865; Package src:libpthread-stubs. (Sun, 05 May 2013 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Sun, 05 May 2013 19:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 706865@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 706865@bugs.debian.org
Subject: Re: [Xcb] Bug#706865: libpthread-stubs: FTBFS on hurd-i386: libpthread-stubs library no more compiled
Date: Sun, 5 May 2013 21:11:40 +0200
[Message part 1 (text/plain, inline)]
Alle domenica 5 maggio 2013, Julien Cristau ha scritto:
> On Sun, May  5, 2013 at 17:24:09 +0200, Pino Toscano wrote:
> > Source: libpthread-stubs
> > Version: 0.3-3
> > Severity: important
> > Tags: patch
> > User: debian-hurd@lists.debian.org
> > Usertags: hurd
> > 
> > Hi,
> > 
> > given that now Hurd's libpthread is compiled as glibc addon with
> > proper forwards, the libpthread-stubs library is no more compiled
> > and thus the build fails due to missing files referenced by
> > .install.hurd files.
> > 
> > Attached there is a patch to remove all the custom hurd-i386
> > handling in .install files (removing the .install.hurd files) and
> > rules.
> 
> Can we use this opportunity to stop shipping the empty
> libpthread-stubs0, on all archs?

Considering with this patch libpthread-stubs0{,-dev} would be the same 
on all the Debian archs, I see nothing wrong with that.

(Semi-related: libpthread-stubs0-udeb could also go, as it is not used 
anymore on Hurd.)

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 22 Sep 2013 15:24:05 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@debian.org>:
Bug acknowledged by developer. (Sun, 22 Sep 2013 15:24:05 GMT) Full text and rfc822 format available.

Message #20 received at 706865-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 706865-close@bugs.debian.org
Subject: Bug#706865: fixed in libpthread-stubs 0.3-4
Date: Sun, 22 Sep 2013 15:20:04 +0000
Source: libpthread-stubs
Source-Version: 0.3-4

We believe that the bug you reported is fixed in the latest version of
libpthread-stubs, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706865@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated libpthread-stubs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 Sep 2013 16:58:17 +0200
Source: libpthread-stubs
Binary: libpthread-stubs0-dev
Architecture: source amd64
Version: 0.3-4
Distribution: sid
Urgency: low
Maintainer: XCB Developers <xcb@lists.freedesktop.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 libpthread-stubs0-dev - pthread stubs not provided by native libc, development files
Closes: 706865
Changes: 
 libpthread-stubs (0.3-4) unstable; urgency=low
 .
   * Stop building libpthread-stubs0{,-udeb} (closes: 706865).
Checksums-Sha1: 
 ceb689b3fed214fa765eda5d154cc25ae034093e 1925 libpthread-stubs_0.3-4.dsc
 7627b26dcd733b8ae7f0644cb82d90cc3c1d87c1 2413 libpthread-stubs_0.3-4.diff.gz
 f00670f81f5fd815bba39fe224cb99eeac85647e 3866 libpthread-stubs0-dev_0.3-4_amd64.deb
Checksums-Sha256: 
 e72310a5492e641076c199561977703947174c6acc3633073d909f6f5ab3c676 1925 libpthread-stubs_0.3-4.dsc
 ce3eb8bdc0f1a4347d42c5736d056973fae46908b764a9f2be83e1bd210f2024 2413 libpthread-stubs_0.3-4.diff.gz
 4e2f6d1c1fed2c94841ce2ad33e38b997ae73415e8ed5a0e1210b757ab84e849 3866 libpthread-stubs0-dev_0.3-4_amd64.deb
Files: 
 a175be071bd2a9407185cbaa3a985709 1925 libdevel optional libpthread-stubs_0.3-4.dsc
 1cd37a1f1dc2964f605dcf7c993f88b9 2413 libdevel optional libpthread-stubs_0.3-4.diff.gz
 d9cc096cd3e240eec3fd1619e9dd2756 3866 libdevel optional libpthread-stubs0-dev_0.3-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSPwX+AAoJEDEBgAUJBeQMutgP+wdwjv0NAs0hpFa31hueeZEd
JNyP+HcO+9YcvaSZmUq7WUWp0Myeip3bFB/9nwpM5GK3rqKDdowI2dhsae54zryi
Q5whYg27TfWXTKI+B3CBLFRhEv999pycumwD3hUztX+71O78SnD5sR3vR4Imf3al
RtAGv/lVQTDUz6mvtZQsADjNDCJgq1W5rBEBvpT5Z6iXzLzgUZudnASVWN2kraMH
qN9mRpFtklS7MgFAopX/FVL+NbqbfZYZytqMEsCxXOzbWdUwCtiEyALpzrSHTKjE
XMYwflLxY20YDHX6PpQAAKNGJRaQAyRbjlhPz+h4C45kklt1PhQTbTz97FXVYC2s
4VEhbaSSYOFnE+igpshCWa9/zAWTeZDdHkhnaaiEoDsHHZh33/xiAnqxONQdOJ1P
Wr0y9MRpiVDhNiWP19cid3VaMUj7mNIIeDYo03xH40VJU0sj3TePaEzkrg0mIywQ
c0AIBMGgC8KEC8Jcf3lnh8RA9d1/jurGF4YaO6gEQDQJ38jvEAodF5FvjaBjLMZr
JRRrIo0dafnkQCViCjLIw6SsoPFDWNT5kv2csuBmTMZiBkvR3NNR7bUTawL1dVpQ
F6BsvzODBpiP46kmvUP/O9O4RXGZdAASWWu6Xz5sBLSpbhDWXf+9DynCE8ti+Ptz
51nvim2QsTveUw/1bWXI
=QcWW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Oct 2013 07:32:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:32:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.